Subject: Re: [PATCH] kbuild: Add '-fms-extensions' to areas with dedicated CFLAGS

From: Nathan Chancellor <[email-masked]>
Date: Wed, 5 Nov 2025 12:39:31 -0700

On Wed, Nov 05, 2025 at 01:56:02PM +0100, Christian Brauner wrote:
> On Sat, Nov 01, 2025 at 12:35:47PM -0400, Nathan Chancellor wrote:
> > This is a follow up to commit c4781dc3d1cf ("Kbuild: enable
> > -fms-extensions") but in a separate change due to being substantially
> > different from the initial submission.
> > 
> > There are many places within the kernel that use their own CFLAGS
> > instead of the main KBUILD_CFLAGS, meaning code written with the main
> > kernel's use of '-fms-extensions' in mind that may be tangentially
> > included in these areas will result in "error: declaration does not
> > declare anything" messages from the compiler.
> > 
> > Add '-fms-extensions' to all these areas to ensure consistency, along
> > with -Wno-microsoft-anon-tag to silence clang's warning about use of the
> > extension that the kernel cares about using. parisc does not build with
> > clang so it does not need this warning flag. LoongArch does not need it
> > either because -W flags from KBUILD_FLAGS are pulled into cflags-vdso.
> > 
> > Reported-by: Christian Brauner <[email-masked]>
> > Closes: https://lore.kernel.org/20251030-meerjungfrau-getrocknet-7b46eacc215d@brauner/
> > Signed-off-by: Nathan Chancellor <[email-masked]>
> > ---
> > I am taking the original '-fms-extensions' change [1] via a shared
> > branch in kbuild [2] so I would appreciate acks. I plan to finalize that
> > branch so that other maintainers can safely pull it on Thursday.
> > 
> > [1]: https://git.kernel.org/kbuild/c/c4781dc3d1cf0e017e1f290607ddc56cfe187afc
> > [2]: https://git.kernel.org/kbuild/l/kbuild-ms-extensions
> > ---
> 
> I'll give my ack:
> 
> Reviewed-by: Christian Brauner <[email-masked]>
> 
> but don't invalidate the branch just to add my RvB if you've already had
> it stable.

I was planning to make it stable tomorrow to give folks time to chime in
at the beginning of the week. I have your tag and Ard's to add. After
that, we will just have to rely on the link to this submission for
follow ups.

Cheers,
Nathan